Package ru.bitel.bgbilling.modules.hd.server.bean

# Class ZoneDAO

java.lang.Object
ru.bitel.bgbilling.modules.hd.server.bean.CommonDAO
ru.bitel.bgbilling.modules.hd.server.bean.ZoneDAO

public class ZoneDAO extends CommonDAO

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.modules.hd.server.bean.CommonDAO

  `SQL_DELETE_FROM, SQL_FROM, SQL_INSERT_INTO, SQL_LIMIT, SQL_ORDER_BY, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ZoneDAO(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addZone(Zone zone)`
  `void`
  `deleteZone(int zoneId)`
  `List<Zone>`
  `getModifiedZoneList(boolean avto)`
  получение списка изменных зон со времени последнего запуска планировщика
  `Zone`
  `getZoneById(int zoneId)`
  `List<Integer>`
  `getZoneIdListByWhoisLastUpdate(String zoneMask, int limit)`
  `List<Zone>`
  `getZoneList()`
  `List<Zone>`
  `getZoneList(int contractId)`
  `void`
  `updateZone(Zone zone)`
  `boolean`
  `updateZone(Zone zone, Date lastUpdate)`

  ### Methods inherited from class ru.bitel.bgbilling.modules.hd.server.bean.CommonDAO

  `getPeriod`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ZoneDAO

    public ZoneDAO(Connection con, int moduleId)

- ## Method Details

  - ### getZoneList

    public List<Zone> getZoneList()
    Returns:

  - ### getZoneList

    public List<Zone> getZoneList(int contractId)

  - ### getModifiedZoneList

    public List<Zone> getModifiedZoneList(boolean avto)
    получение списка изменных зон со времени последнего запуска планировщика
    Returns:
      список измененных зон

  - ### getZoneById

    public Zone getZoneById(int zoneId)

  - ### addZone

    public void addZone(Zone zone)

  - ### deleteZone

    public void deleteZone(int zoneId)

  - ### updateZone

    public void updateZone(Zone zone)

  - ### updateZone

    public boolean updateZone(Zone zone, Date lastUpdate)

  - ### getZoneIdListByWhoisLastUpdate

    public List<Integer> getZoneIdListByWhoisLastUpdate(String zoneMask, int limit)